import request from '@/utils/request'

// 查询任务动作组明细列表
export function listGroupTaskLine(query) {
  return request({
    url: '/hnyz/groupTaskLine/list',
    method: 'get',
    params: query
  })
}

// 查询任务动作组明细详细
export function getGroupTaskLine(lineId) {
  return request({
    url: '/hnyz/groupTaskLine/' + lineId,
    method: 'get'
  })
}

// 新增任务动作组明细
export function addGroupTaskLine(data) {
  return request({
    url: '/hnyz/groupTaskLine',
    method: 'post',
    data: data
  })
}

// 修改任务动作组明细
export function updateGroupTaskLine(data) {
  return request({
    url: '/hnyz/groupTaskLine',
    method: 'put',
    data: data
  })
}

// 删除任务动作组明细
export function delGroupTaskLine(lineId) {
  return request({
    url: '/hnyz/groupTaskLine/' + lineId,
    method: 'delete'
  })
}
